%define real_name URPM
%define group %(perl -e 'printf "%%s\\n", "%_vendor" =~ /\\bmandr|\\bmageia/i ? "Development/Perl" : "Applications/CPAN"')

%define rpm_version %(rpm -q --queryformat '%%|EPOCH?{[%%{EPOCH}:%%{VERSION}]}:{%%{VERSION}}|' rpm)

%{expand:%%global compat_perl_vendorarch %(perl -MConfig -e 'printf "%%s\n", "%{?perl_vendorarch:1}" ? "%%{perl_vendorarch}" : "$Config{installvendorarch}"')}

Summary:	Librpm perl bindings for urpmi
Name:		perl-URPM
Version:	5.222
Release:	%mkrel 1
License:	GPL or Artistic
Group:		%group
Source:		%{real_name}-v%{version}.tar.xz
VCS:		http://gitweb.mageia.org/software/rpm/perl-URPM/
URL:		https://metacpan.org/pod/URPM
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(rpm) >= 4.11.0
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(MDV::Packdrakeng)
# For tests:
BuildRequires:	perl(Test::Pod)

# we can now expect librpm API to be backward compatible
Requires:	rpm >= %{rpm_version}
Requires:	perl(MDV::Packdrakeng)
Provides:	perl(URPM::Build) = %{version}-%{release}
Provides:	perl(URPM::Resolve) = %{version}-%{release}
Provides:	perl(URPM::Signature) = %{version}-%{release}
Conflicts:	urpmi < 8.102


%global __requires_exclude perl\\(URPM::DB\\)|perl\\(URPM::Package\\)|perl\\(URPM::Transaction\\)

%description
The URPM module allows you to manipulate rpm files, rpm header files and
hdlist files and manage them in memory.

%prep
%autosetup -n %{real_name}-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%{__make} OPTIMIZE="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%{compat_perl_vendorarch}/URPM.pm
%{compat_perl_vendorarch}/URPM
%dir %{compat_perl_vendorarch}/auto/URPM
%{compat_perl_vendorarch}/auto/URPM/URPM.so


%changelog
* Fri Dec 03 2021 tv <tv> 5.222-1.mga8
+ Revision: 1760603
- Harmonize buffer size (thus fixing "invalid line <@provides" for huge pkgs)
- Bump static buffer size when generating synthesys

* Wed Nov 04 2020 tv <tv> 5.123-1.mga8
+ Revision: 1642715
- Fix file descriptor leak in rpm transactions
- Build with the flags used to build perl itself
- Make it work with no feature qw(indirect) (aka perl7)

* Fri Jun 19 2020 neoclust <neoclust> 5.122-0.4.mga8
+ Revision: 1596626
- Use P0 to fix build in armv7 instead of make workaround

* Wed Jun 17 2020 pterjan <pterjan> 5.122-0.3.mga8
+ Revision: 1594135
- Clean rebuild
- Build with CFLAGS used to build perl to fix build on armv7hl

* Wed Jun 03 2020 tv <tv> 5.122-0.1.mga8
+ Revision: 1590024
- handle RPM version with "beta" or "rc" in it

* Fri May 01 2020 tv <tv> 5.28-1.mga8
+ Revision: 1577291
- actually support deps on patched Mageia[23]'s rpm-4.11
- fix compiling with rpm-4.10 (eg: Debian 7 Wheezy)

* Wed Apr 29 2020 tv <tv> 5.27-1.mga8
+ Revision: 1573210
- fix testing on pre UsrMove Linuxes (eg: mga2)
- restore support for rpm-4.9

* Tue Apr 21 2020 tv <tv> 5.26-1.mga8
+ Revision: 1570378
- restore support for building on mga4 (broken in 5.24)

* Wed Apr 08 2020 tv <tv> 5.25-1.mga8
+ Revision: 1565642
- add support for reinstall (needs rpm >= 4.12.x)
- workaround rpm-4.16 adding provides to SRPMs, thus fixing urpmi testuite

* Thu Feb 20 2020 umeabot <umeabot> 5.24.1-3.mga8
+ Revision: 1547124
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 joequant <joequant> 5.24.1-2.mga8
+ Revision: 1487554
- fix provides

* Fri Jan 17 2020 tv <tv> 5.24.1-1.mga8
+ Revision: 1481330
- make test more universal
- fix support for hdlist compressed with !gzip
- CPAN testers:
  o display rpm version in flags
  o fix indexation (RT#127881)
  o fix a test on Fedora where perl main package is perl-interpreter
  o workaround CPAN testers that run FreeBSD (RT#131162)
  o Workaround CPAN testers that run CentOS 7 (RT#131163)

* Mon Dec 30 2019 tv <tv> 5.23-1.mga8
+ Revision: 1474877
- add support for synthesis compressed with zstd
- document URPM::Signature
- fix CPAN indexation (RT#119936)

* Wed Sep 04 2019 tv <tv> 5.21-5.mga8
+ Revision: 1436964
- really rebuild for rpm-4.15

* Wed Sep 04 2019 tv <tv> 5.21-4.mga8
+ Revision: 1436863
- rebuild for rpm-4.15

* Mon Aug 26 2019 tv <tv> 5.21-3.mga8
+ Revision: 1432464
- rebuild with perl-5.30 on BS (for missing signature)
+ tmb <tmb>
- rebuild for perl-5.30.0-4.mga8

* Tue Sep 18 2018 tv <tv> 5.21-1.mga7
+ Revision: 1259511
- fix callback parameters doc
- restore rpm-4.11.x compatibility

* Sun Sep 16 2018 tv <tv> 5.20-1.mga7
+ Revision: 1259242
- restore support for rpm < 4.14.2

* Sat Sep 15 2018 tv <tv> 5.19-1.mga7
+ Revision: 1258989
- add support for verify callback when installing (mga#23531)

* Sun Aug 05 2018 tmb <tmb> 5.18-3.mga7
+ Revision: 1247851
- rebuild for missing signatures
+ pterjan <pterjan>
- Manual rebuild for new perl

* Mon Jun 25 2018 tv <tv> 5.18-1.mga7
+ Revision: 1239649
- Don't select an obsolete package to resolve dependencies/conflicts
  (mga#23223)

* Thu Jun 14 2018 tv <tv> 5.17-1.mga7
+ Revision: 1236818
- fix finding better pkg (mga#23037)

* Sat Feb 10 2018 tv <tv> 5.16-1.mga7
+ Revision: 1200053
- make clear URPM needs rpm >= 4.14
- restore compatibility with rpm-4.12.x & 4.13.x
- revert fix for segfault with rpm-4.14 when checking invalid signatures as rpm
  got fixed
- restore rpm-4.12.x compatibility
- restore rpm-4.13.x compatibility
- use ExtUtils::PkgConfig in order to get rpm installed
- cpan testers:
  o add cflags reported by pkgconfig
    (needed for eg: FreeBSD where rpm is installed under /usr/local)
  o advertize the proper pkg for most distros
  o skip all rpmdb tests on Debian/Ubutun
  o skip failing tests on *BSD
- switch Urpm_verify_rpm() to use rpmReadPackageFile() to support back ignoring
  signatures with rpm 4.14 (mga#21886)

* Tue Oct 03 2017 tv <tv> 5.15-1.mga7
+ Revision: 1167995
- testsuite:
  o fix segfault with rpm-4.14 when checking invalid signatures
  o revert workaround perl-5.26 vs librpm bug which results on exit cleanup

* Tue Oct 03 2017 tv <tv> 5.14-3.mga7
+ Revision: 1167247
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 wally <wally> 5.14-2.mga7
+ Revision: 1160971
- rebuild for arm

* Thu Sep 07 2017 tv <tv> 5.14-1.mga7
+ Revision: 1151760
- use native 64bit integers instead of Math::Int64
  (needs perl >= 5.26.0-8.mga7)

* Wed Aug 30 2017 neoclust <neoclust> 5.13-4.mga7
+ Revision: 1148465
- Rebuild on the BS
- Bump release to rebuild against non bootstrapped perl (mga#21441)
+ tv <tv>
- restore rpm 4.13 support

* Wed Aug 23 2017 tv <tv> 5.13-1.mga7
+ Revision: 1143560
- add support to rpm-4.14
  (thus breaking support for rpm <= 4.13)
- test failure:
  o fix test failure with perl-5.26
  o workaround perl-5.26 vs librpm bug which results on exit cleanup

* Sun Jul 23 2017 tv <tv> 5.12-5.mga7
+ Revision: 1129070
- workaround perl-5.26 vs librpm bug on exit cleanup
- reenable testsuite

* Sat Jul 22 2017 neoclust <neoclust> 5.12-4.mga7
+ Revision: 1126819
- Rebuild against new Perl 5.26
- Try to rebuild against new perl
+ pterjan <pterjan>
- Fix rpm_version to use rpm version and not ours
+ tv <tv>
- fix test failure with perl-5.26
- rebuild for new perl

* Thu Nov 10 2016 tv <tv> 5.12-1.mga6
+ Revision: 1066250
- fix more compilation warnings
- make sure to use int64 on 32bit arch
  else we may got total size to overflow (mga#19686)

* Thu Oct 20 2016 tv <tv> 5.11-1.mga6
+ Revision: 1062714
- fix some compilation warnings
- fix a crash introduced by mga#15353 fix if not in debug mode

* Tue Oct 18 2016 tv <tv> 5.10-1.mga6
+ Revision: 1061746
- support querying size of 4gb+ packages
- use 64bit for package size on 32bit too (mga#19571)
- requires perl(Math::Int64)
- just drop %%compat_makeinstall_std as %%make_install is available everywhere as part of std rpm

* Sun Oct 16 2016 tv <tv> 5.09-2.mga6
+ Revision: 1061076
- don't crash if /etc/urpmi/skip.list RE is wrong (mga#15353)
- use %%make_install in %%compat_makeinstall_std

* Fri Oct 14 2016 tv <tv> 5.08-2.mga6
+ Revision: 1060806
- fix reporting problems when checking transaction
- fix reporting size on big packages (mga#19571)
- add VCS tag

* Thu May 12 2016 tv <tv> 5.07-2.mga6
+ Revision: 1013975
- rebuild for perl-5.22

* Thu Apr 14 2016 tv <tv> 5.07-1.mga6
+ Revision: 1001429
- add support for "elem" callback
  (needs rpm >= rpm-4.13.0-0.rc1.28)
- don't push $fullname to callback stack
  (need a new urpmi)

* Fri Feb 12 2016 umeabot <umeabot> 5.06-10.mga6
+ Revision: 958195
- Mageia 6 Mass Rebuild
+ tv <tv>
- improved summary

* Sat Sep 05 2015 tv <tv> 5.06-9.mga6
+ Revision: 873129
- submit to core/release

* Sun Aug 23 2015 tv <tv> 5.06-8.mga6
+ Revision: 868195
- rebuild for rpm-4.13
- submit to core/release

* Sat Aug 01 2015 tv <tv> 5.06-6.mga6
+ Revision: 860287
- rebuild for rpm-4.13

* Thu Jun 25 2015 tv <tv> 5.06-5.mga6
+ Revision: 843526
- rebuild with soname-ified perl

* Wed Jun 24 2015 tv <tv> 5.06-4.mga6
+ Revision: 842505
- rebuild with soname-ified perl

* Tue Jun 23 2015 tmb <tmb> 5.06-3.mga6
+ Revision: 840400
- rebuild with buildsystem
- rebuild with perl-5.22

* Sun Apr 12 2015 tv <tv> 5.06-1.mga5
+ Revision: 820071
- fix upgrade when package's in several media (mga#15350)

* Thu Feb 26 2015 pterjan <pterjan> 5.05-1.mga5
+ Revision: 817070
- fix a segfault when callbacks don't get a header

* Thu Feb 26 2015 tv <tv> 5.04-1.mga5
+ Revision: 817028
- callbacks now get pkg name instead of just pkg id
  thus fixing unknown package name on erases (mga#15032)

* Fri Nov 14 2014 tv <tv> 5.03-1.mga5
+ Revision: 797063
- add a missing PUTBACK in traverse_tag_find()
- handle non numeric returns for traverse_tag_find callback (warning fix)

* Sun Oct 26 2014 tv <tv> 5.02-1.mga5
+ Revision: 793568
- add >recommends method (mga#14376)

* Thu Oct 23 2014 tv <tv> 5.01-1.mga5
+ Revision: 792550
- fix crashing in ptread when using log callback with rpm-4.12

* Wed Oct 15 2014 umeabot <umeabot> 5.00-5.mga5
+ Revision: 749114
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 tv <tv> 5.00-4.mga5
+ Revision: 693161
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 tv <tv> 5.00-3.mga5
+ Revision: 675468
+ rebuild (emptylog)

* Sun Sep 14 2014 tv <tv> 5.00-2.mga5
+ Revision: 675388
- rebuild

* Sat Sep 13 2014 tv <tv> 5.00-1.mga5
+ Revision: 675099
- revert olav change that broke group tag
- make it compatible with rpm-4.12.0
- use new recommends tags instead of suggests ones
- rename "suggests" method as "recommends_nosense"
- add support for generating @recommends@ lines instead of @suggests@ ones in
  synthesis
- rename *suggests* subs as *recommends*
- rename "no_suggests" option as "no_recommends"
- {suggested} is renamed {recommended} in state

* Fri Jun 27 2014 tv <tv> 4.31-1.mga5
+ Revision: 640443
- compare(): croak if used on URPM::Package object (mga#12766)
- enhanced doc
- kill support for kernel-*source-stripped

* Mon Jun 02 2014 pterjan <pterjan> 4.30-3.mga5
+ Revision: 630702
- Rebuild cleanly
- Rebuild for new Perl

* Thu May 01 2014 tv <tv> 4.30-1.mga5
+ Revision: 619277
- fix 64k size limit on provides size that break installing 32 bit kernel for
  drakx-installer-binaries
- fix a warning in debug mode

* Tue Feb 04 2014 tv <tv> 4.29-2.mga5
+ Revision: 581787
- rebuild for new perl

* Tue Nov 05 2013 tv <tv> 4.29-1.mga4
+ Revision: 549632
- enhanced doc
- "implement" create_transaction() in --env case
- $trans->order: add support for "deploops" option

* Mon Oct 21 2013 umeabot <umeabot> 4.28-2.mga4
+ Revision: 539079
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 tv <tv> 4.28-1.mga4
+ Revision: 491334
- adapt to perl-5.18 random hash keys ordering
- coverity fixes

* Fri Aug 23 2013 fwang <fwang> 4.27-3.mga4
+ Revision: 469921
- rebuild for new perl

* Wed May 29 2013 jquelin <jquelin> 4.27-2.mga4
+ Revision: 431370
- perl 5.18.0 rebuild

* Sat Mar 23 2013 tv <tv> 4.27-1.mga3
+ Revision: 404626
- fix selecting right DKMS flavor (mga#9172)
- fix URL

* Sat Feb 09 2013 tv <tv> 4.26-1.mga3
+ Revision: 397666
- add basic support for --downgrade (mga#6655)

* Tue Feb 05 2013 tv <tv> 4.25-1.mga3
+ Revision: 394674
- fix retrieving payload format

* Sun Feb 03 2013 tv <tv> 4.24-1.mga3
+ Revision: 394311
- enhanced doc
- enable to report script & I/O errors

* Mon Jan 21 2013 tv <tv> 4.23-1.mga3
+ Revision: 390561
- drop merged patch
- fix scoring locale packages

* Sun Jan 13 2013 umeabot <umeabot> 4.22-2.mga3
+ Revision: 374584
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 tv <tv> 4.22-1.mga3
+ Revision: 332100
- rpm-4.11 fixes:
  o fix compiling with it
  o prevent creating empty transactions in rare cases
    (that cause rpm to abort on assert while creating a new pool)

* Fri Dec 07 2012 tv <tv> 4.21.1-1.mga3
+ Revision: 327829
- fix EVR() on packages from rpmdb (was ok on synthesis ones) (mga#7739)

* Tue Dec 04 2012 tv <tv> 4.21-1.mga3
+ Revision: 326487
- prefer package from first medium when same NEVR exists in several media
  (thus prefering 64bit media over 32 bit ones) (mga#7524)

* Mon Dec 03 2012 tv <tv> 4.20-1.mga3
+ Revision: 325752
- fix a rare segfault

* Sun Dec 02 2012 tv <tv> 4.19-1.mga3
+ Revision: 325368
- kill pkg->disttag (unused, introduced for rpm5 prior to the fork)
- reduce code size

* Wed Nov 21 2012 tv <tv> 4.18-3.mga3
+ Revision: 320002
- remove debug sleep
- compile with optflags again (was disabled in previous release after debugging)

* Wed Nov 21 2012 tv <tv> 4.18-1.mga3
+ Revision: 319949
- further bump threshold for detecting looping forever
- workaround a segfault (mga#8158)

* Mon Nov 19 2012 tv <tv> 4.17-1.mga3
+ Revision: 319648
- bump threshold for detecting looping forever (mga#8106)
- drop header_filename (long obsolete, no more use)

* Fri Nov 16 2012 tv <tv> 4.16-1.mga3
+ Revision: 318953
- prevent urpmi from looping forever when some packages are broken

* Thu Oct 11 2012 tv <tv> 4.15.1-1.mga3
+ Revision: 304694
- drop support for repackage (non working since rpm-4.6 in 2009)

* Wed Sep 26 2012 tv <tv> 4.15-1.mga3
+ Revision: 298462
- API:
  o add EVR method
  o remove long deprecated find_chosen_packages() & find_candidate_packages()
  o rename find_candidate_packages_() as find_candidate_packages()

* Fri Sep 21 2012 tv <tv> 4.14-1.mga3
+ Revision: 296485
- API: add resolve_requested_suggests()
- slightly increase testsuite coverage
- update outdated doc

* Tue Aug 28 2012 tv <tv> 4.13-3.mga3
+ Revision: 284980
- rebuild for new binutils

* Fri Aug 24 2012 pterjan <pterjan> 4.13-2.mga3
+ Revision: 283402
- Clean rebuild
- Add a Package::doc_files() method

* Sat Aug 11 2012 blino <blino> 4.12-1.mga3
+ Revision: 280575
- 4.12
- do not try to parse current pointer when the line is invalid or
  empty (detected by valgrind)
- don't read/write after the string when the synthesis is slightly
  malformed

* Fri Aug 10 2012 tv <tv> 4.11-1.mga3
+ Revision: 280371
- drop compatibility with urpmi <= 4.5-13mdk (2004-07-09)
- fix arch of spec headers (regression introduced in 4.8)

* Fri Aug 03 2012 tv <tv> 4.10-3.mga3
+ Revision: 278317
- rebuild with compressed debug info

* Thu Aug 02 2012 tv <tv> 4.10-2.mga3
+ Revision: 277893
- rebuild with mini debug info

* Thu Jun 28 2012 tv <tv> 4.10-1.mga3
+ Revision: 264780
- really enable to traverse rpm db by fullname

* Mon Jun 25 2012 tv <tv> 4.9-1.mga3
+ Revision: 263631
- fix setting rflags on packages (mga#6532)

* Sat Jun 23 2012 tv <tv> 4.8-2.mga3
+ Revision: 262738
- fix computing packages rflags (#6532)

* Fri Jun 22 2012 tv <tv> 4.8-1.mga3
+ Revision: 262664
- enable to read xz & bzip2 compressed synthesis
- internal cleanups
- ranges_overlap(): use rpm to compute whether it overlaps or not

* Tue Jun 19 2012 tv <tv> 4.7-1.mga3
+ Revision: 261966
- workaround changes in rpm-4.10.0 leaving us to leak fds (mga#6453)

* Mon Jun 18 2012 tv <tv> 4.6-1.mga3
+ Revision: 261773
- drop 'direction' parameter in obsoletes_overlap() & provides_overlap()
- fix default 'direction' for provides_overlap()
  (regression in URPM-4.2)
- internal cleanups

* Sun Jun 17 2012 tv <tv> 4.5-1.mga3
+ Revision: 261266
- drop support for old mdv2008.0 suggests (RPMTAG_REQUIRENAME + RPMSENSE_MISSINGOK)
- internal cleanups

* Fri Jun 15 2012 tv <tv> 4.4-1.mga3
+ Revision: 260840
- internal cleanups
- obsoletes_overlap(), ranges_overlap(): drop unused 'nopromotion' parameter
  (always hardcoded to 1 at least for 5 years)

* Thu Jun 14 2012 tv <tv> 4.3-2.mga3
+ Revision: 260644
- compile with -o2 again

* Thu Jun 14 2012 tv <tv> 4.3-1.mga3
+ Revision: 260639
- fix a very old segfault in unused code
- internal cleanups
- reduce code size

* Wed Jun 13 2012 tv <tv> 4.2-1.mga3
+ Revision: 260339
- clean DB API (needs a new urpmi)
- internal cleanups
- reduce code size
- drop subrel

* Mon Jun 11 2012 tv <tv> 4.1-1.1.mga3
+ Revision: 259718
- drop import_pubkey function (dead for 5 years)
- fix importing pubkeys with rpm-4.10.0 (eg: when adding media)

* Fri Jun 08 2012 tv <tv> 4.0-3.1.mga3
+ Revision: 258004
- rebuild for new rpm-4.10.0

* Fri Jun 08 2012 tv <tv> 4.0-2.1.mga3
+ Revision: 257970
- rebuild for new rpm-4.10.0

* Fri Jun 08 2012 tv <tv> 4.0-1.1.mga3
+ Revision: 257942
- drop URPM::Query (broken for years)
- drop support for rpm-4.8.x
- kill functions unimplemented for years
- reduce code size

* Fri Mar 16 2012 tv <tv> 3.40-1.1.mga2
+ Revision: 223706
- add URPM::traverse_tag_find() for urpme --env

* Mon Feb 27 2012 tv <tv> 3.39-1.1.mga2
+ Revision: 215699
- do not add FILENAME_TAG to hdlist anymore (unused since mdv2008)
- fix for a rare crash (mga#4425)
- put real package file sizes in synthesis

* Wed Feb 08 2012 tv <tv> 3.38.8-1.1.mga2
+ Revision: 206228
- switch from forking unpacker to using librpm

* Tue Feb 07 2012 tv <tv> 3.38.7.1-1.1.mga2
+ Revision: 206210
- rediff patch
- build with patch for patched rpm

* Tue Feb 07 2012 tv <tv> 3.38.7.1-1.mga2
+ Revision: 206188
- cleanups
- fix computing size of added/freed disk space when updating involves removing
  some packages (mga#4427)
- really prefer packages from first media, thus fixing downloading noarch
  packages from 32 bit repository (mga#1603)
- package smaller NEWS instead of bigger ChangeLog

* Sun Jan 15 2012 tv <tv> 3.38.6-2.1.mga2
+ Revision: 196555
- bump release for updates_testing

* Sun Jan 15 2012 tv <tv> 3.38.6-2.mga2
+ Revision: 196551
- disable patch 0 in core/release

* Sun Jan 15 2012 tv <tv> 3.38.6-1.4.mga2
+ Revision: 196495
- patch 0: fix regression in testing suite
- patch 0: switch from forking unpacker to using librpm.diff (upstream patch)
  (mga #1962)
+ blino <blino>
- 3.38.6
- support kernel 3.x in kmod resolution

* Mon Dec 19 2011 tv <tv> 3.38.5-1.3.mga2
+ Revision: 184269
- bump subrel for updates_testing

* Mon Dec 19 2011 tv <tv> 3.38.5-1.2.mga2
+ Revision: 184234
- fix parsing a spec file with rpm-4.9
  (regression introduced when adding support for rpm-4.9)
- enable to traverse db by fullname
- fix slow matching of individual regexes for skipping dependencies by creating
  a large regex to match them all at once (mdv#61389, Shlomi Fish)

* Tue Oct 11 2011 dmorgan <dmorgan> 3.38.4-1.2.mga2
+ Revision: 153855
- Add subrel for testing

* Sat Sep 17 2011 tv <tv> 3.38.4-1.mga2
+ Revision: 144431
- fix calling method in string
  (spoted by perl_checker, introduced in revision mga#267800 ("honour search
   medias when using --auto-select") by teuf on Fri Apr 23 2010
- new release
- BR perl-Test-Pod for tests
- really rebuild with rpm-4.9
+ dmorgan <dmorgan>
- Bump release to push in testing

* Sat Sep 10 2011 dmorgan <dmorgan> 3.38.2-4.mga2
+ Revision: 142033
- Rebuild to replace manually build rpm in testing

* Fri Sep 09 2011 tv <tv> 3.38.2-3.mga2
+ Revision: 141926
- fix spec2srcheader() for rpm-4.9.x
- use xz compression

* Mon Aug 29 2011 fwang <fwang> 3.38.1-3.mga2
+ Revision: 136130
- rebuild for new perl

* Sun Jun 12 2011 ahmad <ahmad> 3.38.1-2.mga2
+ Revision: 104562
- Rebuild for missing signature

* Thu Apr 21 2011 tv <tv> 3.38.1-1.mga1
+ Revision: 89380
- fix crashing while removing several packages (#248)
- enable to compile with rpm-4.9.x
+ misc <misc>
- clean BR and conflict

* Mon Mar 07 2011 tv <tv> 3.38-4.mga1
+ Revision: 65812
- try harder/again to fix bug #248 (MDV#61144)
  (-fno-gcse might not be enough with newer gcc)

* Tue Mar 01 2011 dmorgan <dmorgan> 3.38-3.mga1
+ Revision: 62050
- Rebuild against rpm 4.8.1

* Tue Jan 18 2011 blino <blino> 3.38-2.mga1
+ Revision: 23454
- buildrequire perl-devel
- use Development/Perl for Mageia as well
- remove old release hack
+ nanardon <nanardon>
- kill empty lines
+ jquelin <jquelin>
- imported package perl-URPM

